7 Replies Latest reply on Dec 8, 2016 6:47 PM by dongduo

    Anyone got PiFace Control & Display 2 working with RPi 2 Model B?

    bawillis

      Installed as per instructions here but getting a Python error related to GPIO25 when trying to run sysinfo.py

       

      pi@raspberrypi ~ $ sudo python3 /usr/share/doc/python3-pifacecad/examples/sysinfo.py

      Traceback (most recent call last):

        File "/usr/lib/python3/dist-packages/pifacecommon/interrupts.py", line 363, in bring_gpio_interrupt_into_userspace

          with open(GPIO_INTERRUPT_DEVICE_VALUE):

      IOError: [Errno 2] No such file or directory: '/sys/devices/virtual/gpio/gpio25/value'

       

      During handling of the above exception, another exception occurred:

       

      Traceback (most recent call last):

        File "/usr/share/doc/python3-pifacecad/examples/sysinfo.py", line 61, in <module>

          cad = pifacecad.PiFaceCAD()

        File "/usr/lib/python3/dist-packages/pifacecad/core.py", line 50, in __init__

          self.init_board()

        File "/usr/lib/python3/dist-packages/pifacecad/core.py", line 87, in init_board

          self.enable_interrupts()

        File "/usr/lib/python3/dist-packages/pifacecad/core.py", line 59, in enable_interrupts

          self.gpio_interrupts_enable()

        File "/usr/lib/python3/dist-packages/pifacecommon/interrupts.py", line 210, in gpio_interrupts_enable

          bring_gpio_interrupt_into_userspace()

        File "/usr/lib/python3/dist-packages/pifacecommon/interrupts.py", line 368, in bring_gpio_interrupt_into_userspace

          export_file.write(str(GPIO_INTERRUPT_PIN))

      IOError: [Errno 16] Device or resource busy